## wxwidgets2.8 2.8.12.1

=== debian/changelog ===
wxwidgets2.8 (2.8.12.1-14ubuntu1.1) saucy-proposed; urgency=low

  * disable disable_media_python.patch to add wx.media to python-wxgtk2.8 
    (LP: #1224528)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 18 Oct 2013 20:29:34 +0200

wxwidgets2.8 (2.8.12.1-14ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining change:
    - Disable bp-menubar-fix.patch.
  * All other changes have been applied in Debian.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 23 Aug 2013 21:32:13 +0400

wxwidgets2.8 (2.8.12.1-14) unstable; urgency=low

  * Apply patch from Fabrice Coutadeur to enable wxmediactrl.
    (Closes: #588104)
  * New patch wx-2.8.12-print-ps-in-latin1-locale-segv-v2.patch
    (Closes: #702378)
  * debian/control.in: Remove errant backquote.  (Closes: #713866)

 -- Olly Betts <olly@survex.com>  Fri, 12 Jul 2013 22:47:48 +1200

wxwidgets2.8 (2.8.12.1-13) unstable; urgency=low

  * We don't actually use pangox, so don't test for it (new patch
    dont-check-for-pangox.patch from Emilio Pozuelo Monfort).
    (Closes: #701836)
  * Allow img2py to work with an X display (new patch
    img2py-no-display.patch from Nicolas Boulenguez).  (Closes: #698198)
  * Build --without-gnomeprint.  (Closes: #644571)
  * Update B-D from libtiff4-dev to libtiff5-dev.
  * Enable hardening flags, except for wxPython for which we need a way to get the
    extra compiler flags through setup.py.
  * Drop 'Conflicts' and 'Replaces' on wx 2.4 and 2.5 packages, and versioned
    'Build-Depends' relating to pre-squeeze versions.
  * Standards-Version: 3.9.4 (no changes required).
  * Update debhelper compatibility level from 7 to 9.
  * Fix vcs-field-not-canonical lintian warning by updating VCS URLs.

 -- Olly Betts <olly@survex.com>  Sat, 08 Jun 2013 22:23:20 +0000

wxwidgets2.8 (2.8.12.1-12) unstable; urgency=low

  * Make python-wxversion conflict with python-wxgtk2.8 (<< 2.8.12.1-1~) to
    guarantee upgrade ordering when moving from pycentral to dh_python2.
    (Closes: #684150)

 -- Olly Betts <olly@survex.com>  Wed, 19 Sep 2012 00:37:03 +0000

wxwidgets2.8 (2.8.12.1-11ubuntu4) raring; urgency=low

  * Disable bp-menubar-fix.patch and drop-appmenu-workaround.patch for now.
    These patches fixed the grey stripe covering the Audacity menu with gnome
    classic bug #996407, but brought a bigger regression for all wxwidgets
    applications. (LP: #662077)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Nov 2012 16:33:05 +0100

wxwidgets2.8 (2.8.12.1-11ubuntu3) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 13:31:11 +0100

wxwidgets2.8 (2.8.12.1-11ubuntu2) quantal; urgency=low

  * Drop appmenu workaround. It causes 100% CPU usage when using
    appmenu. (LP: #996407)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 02 Jun 2012 16:04:50 +0200

wxwidgets2.8 (2.8.12.1-11ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
      built, as this is required by some applications (LP: #632984)
    - debian/control:
      - Build-dep on libxt-dev, libgstreamer-plugins-base0.10-dev,
        and libgconf2-dev for mediactrl.
      - Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to
        python-wxversion to guarantee upgrade ordering when moving from
        pycentral to dh_python2.
  * Drop fix-bashism-in-example.patch. (LP: #1005609)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 02 Jun 2012 12:33:00 +0200

wxwidgets2.8 (2.8.12.1-11) unstable; urgency=low

  * It looks like upstream may not make another 2.8 release, and if they do
    it's unlikely to happen before the freeze, so backport several simple but
    useful patches from upstream's 2.8 SVN branch:

    + ico-saving-buffer-overrun.patch
    + richtextxml-fix.patch
    + slider-label-update.patch
    + wxclipboard-getdata.patch
    + wxvlistboxcombopopup-wxcbsort.patch
    + wxstatictext-rtl-alignright.patch
    + improve-bmp-decoding.patch
    + fix-aui-dock-crash.patch
    + wxdatetime-chained.patch (Closes: #242737)
    + Update Italian and Hungarian i18n.
    + Add Tamil and Arabic i18n.

  * Fix typo in package descriptions.

 -- Olly Betts <olly@survex.com>  Fri, 01 Jun 2012 05:08:47 +0000

wxwidgets2.8 (2.8.12.1-10) unstable; urgency=low

  * Build-depends on libpng-dev instead of libpng12-dev.  (Closes: #662553)
  * Add patch bp-menubar-fix.patch to fix sizing of new menubar.  
  * Drop build-dependency on quilt, no longer used since -9.
  * New patch desktop-files.patch which updates .desktop files to match the
    current specification.

 -- Olly Betts <olly@survex.com>  Mon, 28 May 2012 17:57:59 +0000

wxwidgets2.8 (2.8.12.1-9ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
      built, as this is required by some applications (LP: #632984)
    - debian/control:
      - Build-dep on libxt-dev, libgstreamer-plugins-base0.10-dev,
        and libgconf2-dev for mediactrl.
      - Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to
        python-wxversion to guarantee upgrade ordering when moving from
        pycentral to dh_python2.
    - Patches
      + fix-bashism-in-example.patch
  * Backport patch to fix calling SetMenuBar() twice causes the menubar to not
    resize correctly in GTK. (LP: #996407)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 27 May 2012 17:32:13 +0200

wxwidgets2.8 (2.8.12.1-9) unstable; urgency=low

  * Switch to "3.0 (quilt)" to fix issues with patches not getting applied at
    the right time, fixing FTBFS on buildds since they started to use
    build-arch.  (Closes: #670447)

 -- Olly Betts <olly@survex.com>  Thu, 26 Apr 2012 22:16:01 +0000

wxwidgets2.8 (2.8.12.1-8) unstable; urgency=low

  * New patch handle-positional-printf-arguments.patch.  (Closes: #631696)

