=== debian/control ===
Source: wxwidgets2.8
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
 python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
 autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
 libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>, Ron Lee <ron@debian.org>, Olly Betts <olly@survex.com>
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/freewx/wx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freewx/wx.git
Homepage: http://www.wxwidgets.org/

Package: libwxbase2.8-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk2.8 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase2.8-dev
Architecture: any
Section: libdevel
Depends: wx2.8-headers (= ${binary:Version}), libwxbase2.8-0 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: wx2.8-doc, gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase2.8-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Multi-Arch: same
Depends: wx2.8-headers (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: wxBase library (debug) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides a debug version of the wxBase library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.8-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.8-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx2.8-headers (= ${binary:Version}), libwxgtk2.8-0 (= ${binary:Version}), libwxbase2.8-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx2.8-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk2.8-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Multi-Arch: same
Depends: ${shlibs:Depends}, wx2.8-headers (= ${binary:Version}), libwxbase2.8-dbg (= ${binary:Version}), ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a debug version of the wxGTK library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk-media2.8-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk2u_media.

Package: libwxgtk-media2.8-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Multi-Arch: same
Depends: ${shlibs:Depends}, wx2.8-headers (= ${binary:Version}), libwxgtk2.8-dbg (= ${binary:Version}), ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a debug version of the gtk-media library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk-media2.8-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx2.8-headers (= ${binary:Version}), libwxgtk-media2.8-0 (= ${binary:Version}), libwxgtk2.8-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx2.8-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using
 wxgtk-media lib.

Package: python-wxgtk2.8
Architecture: any
Homepage: http://www.wxpython.org/
Section: python
Depends: python-wxversion (>= 2.6.3.2.2-2), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: wx2.8-doc, wx2.8-examples, editra
Conflicts: libwxgtk2.6-0-python, wxpython2.6-0, python-wxaddons
Replaces: libwxgtk2.6-0-python, wxpython2.6-0
Provides: ${python:Provides}
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python binding to the wxGTK library and the
 wxPython runtime support libraries.

Package: python-wxgtk2.8-dbg
Homepage: http://www.wxpython.org/
Priority: extra
Architecture: any
Section: debug
Depends: python-wxgtk2.8 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding, debug version)
 wxWidgets is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.8
 currently supports GTK+, Motif, X11, Mac OS X, and MS Windows.
 .
 This package provides a Python binding to the wxGTK debug library.
 This package contains the extensions built for the Python debug interpreter.

Package: python-wxversion
Homepage: http://www.wxpython.org/
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}
Conflicts: wxpython2.6-0, python-wxgtk2.6 (<< 2.6.3.2.2-2), python-wxgtk2.8 (<< 2.8.12.1-1~)
Replaces: wxpython2.6-0
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython version selector)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the wxPython version selector.

Package: python-wxtools
Homepage: http://www.wxpython.org/
Architecture: all
Section: python
Depends: python-wxgtk2.8, ${python:Depends}, ${misc:Depends}
Conflicts: wxpython2.6-0
Replaces: wxpython2.6-0
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides support utilities and common files for wxPython2.8.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wx2.6-common
Replaces: wx2.6-common
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx2.8-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx2.8-i18n
Architecture: all
Depends: ${misc:Depends}
Conflicts: wx-i18n
Replaces: wx-i18n
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx2.8-doc
Architecture: all
