=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

SHELL = /bin/bash

#export DH_VERBOSE=1

include /usr/share/python/python.mk
export DH_OPTIONS

# WXPYTHON_VERSION = $(shell dpkg-parsechangelog | sed -ne '/^Version: /s@Version: \(.*\)@\1@p')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

    # The standard way to specify the number of jobs.
    JOB_COUNT := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

else ifdef CONCURRENCY_LEVEL

  # A user who knows what they want, that's like gold...
  # respect their precious opinion of how much blue smoke to use.
  JOB_COUNT := $(CONCURRENCY_LEVEL)

else ifdef DISTCC_HOSTS

 # Otherwise, if they have a cluster, try to put it to good use.
  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)

 # Not much faster, but it might keep you warm in winter...
 #JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$(($$\# + $$\#)))

endif

ifdef JOB_COUNT
  FAST_MAKE = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

PYVERS := $(shell pyversions -vr)

# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.

# DEBIAN_WX_DEFAULT_VERSION = 2.6


# This will extract a flavour out of the changelog and flavour the
# packages and binaries with it.  'Official' builds should use a
# changelog entry with a source package of the form wxwidgets$RELEASE.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR, where any
# descriptive alphanumeric name will do for FLAVOUR.  This will allow
# a custom build to be installed alongside the mainline ones without
# conflict.
DEBIAN_WXFLAVOUR := $(shell dpkg-parsechangelog | sed -ne '/^Source: /s@.*wxwidgets[0-9.]\+-\?\(.*\)@\1@p')


wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
wx_minor_version_number := $(shell sed -n 's/^wx_minor_version_number=//p' configure.in)
wx_release_number       := $(shell sed -n 's/^wx_release_number=//p' configure.in)
wx_subrelease_number    := $(shell sed -n 's/^wx_subrelease_number=//p' configure.in)

release := $(wx_major_version_number).$(wx_minor_version_number)

so_cur := $(shell sed 's,<set var="WX_CURRENT">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
so_age := $(shell sed 's,<set var="WX_AGE">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
soversion := $(shell expr $(so_cur) - $(so_age))

sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# In some places we use the full version number, including the micro version,
# for the development releases (which can be incompatible for the same major
# and minor version) but just the major.minor for the stable releases (which
# are supposed to be compatible), this variable contains the appropriate value
ifeq ($(shell expr '$(wx_minor_version_number)' : '.*[02468]$$'),0)
    # Odd minor version, so development release.
    compatible_release := $(release).$(wx_release_number)
else
    compatible_release := $(release)
endif

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

pytoolkit := gtk2
wxsubdir  := wx-$(compatible_release)-$(pytoolkit)-unicode

cross_host  := i586-mingw32msvc
cross_build := $(shell /usr/share/misc/config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache


# build options
COMMON_CONFIGURE_OPTIONS := \
    --prefix=/usr \
    --cache-file=$(config_cache) \
    --with-flavour=$(DEBIAN_WXFLAVOUR) \
    --with-zlib=sys \
    --with-expat=sys \
    $(shell dpkg-buildflags --export=configure)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
COMMON_CONFIGURE_OPTIONS += --disable-optimise
endif

BASE_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --disable-gui \
	--libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --with-gtk \
    --without-gnomeprint \
    --with-opengl \
    --enable-sound \
    --with-sdl \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --with-libjpeg=sys \
    --with-libpng=sys \
    --with-libtiff=sys \
    --enable-mediactrl \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

MSW_CONFIGURE_OPTIONS = \
    --with-msw \
    --with-opengl \
    --enable-display

# For the MSW packages, enabling threads in wx means that your application will
# have a dependency on mingwm10.dll.  If you don't use threads, this is just an
# annoyance, so default to disabling them.  If you want a wx package to use in
# a threaded application then comment out the next line.
MSW_CONFIGURE_OPTIONS += --disable-threads

PY_WX_CONFIG_OPTIONS = --version=$(release) --toolkit=$(pytoolkit) --static=no

WX_UNICODE ?= 1
# Needed in binary-cross, and perhaps other sub-invocations of debian/rules.
export WX_UNICODE

ifeq ($(WX_UNICODE),1)
    COMMON_CONFIGURE_OPTIONS += --enable-unicode
    MSW_CONFIGURE_OPTIONS += --enable-unicode
    PY_WX_CONFIG_OPTIONS += --unicode
    PY_UNICODE="UNICODE=1"

    # for compatibility with the existing 2.6 packages, we don't use "u" in
    # the Unicode (default) package names
    unicode_suffix :=
else
    # but we do need to use something for non-Unicode packages to distinguish
    # them
    PY_UNICODE=
    unicode_suffix := -ansi
endif

# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)$(unicode_suffix)
package_wxbase_dev      := libwxbase$(release)$(unicode_suffix)-dev
package_wxbase_dbg      := libwxbase$(release)$(unicode_suffix)-dbg

package_gtk_lib         := libwxgtk$(sorelease)$(unicode_suffix)
package_gtk_dev         := libwxgtk$(release)$(unicode_suffix)-dev
package_gtk_dbg         := libwxgtk$(release)$(unicode_suffix)-dbg

package_gtkmedia_lib         := libwxgtk-media$(sorelease)$(unicode_suffix)
package_gtkmedia_dev         := libwxgtk-media$(release)$(unicode_suffix)-dev
package_gtkmedia_dbg         := libwxgtk-media$(release)$(unicode_suffix)-dbg

package_gtk_py_lib      := python-wxgtk$(release)$(unicode_suffix)
package_gtk_py_ver       = python-wxversion
package_gtk_py_tools     = python-wxtools

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_doc             := wx$(release)-doc
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common) $(package_gtk_py_ver) $(package_gtk_py_tools)


package_gtk_dbg_py      := python-wxgtk$(release)$(unicode_suffix)-dbg



package_msw_dev         := libwxmsw$(release)$(unicode_suffix)-dev
package_msw_dbg         := libwxmsw$(release)$(unicode_suffix)-dbg
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
extra_packages := \
		  $(package_msw_dev) $(package_msw_dbg) $(package_headers_msw)

ifdef DEBIAN_WX_DEFAULT_VERSION

  extra_packages += $(common_packages)

endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_wxbase_debug        = objs_wxbase_d
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_debug           = objs_gtk_d
objdir_gtk_install         = objs_gtk_install
objdir_doc_cruft           = objs_doc_con
objdir_doc                 = docs/wx-manual.html
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
