## wxwidgets2.8 2.8.12.1%2Bdfsg

=== debian/watch ===
version=3
http://sf.net/wxpython/wxPython-src-(2\.8\..*)\.tar\.bz2 debian debian/repack.sh
