## wxwidgets2.8 2.8.12.1+dfsg

=== debian/changelog ===
wxwidgets2.8 (2.8.12.1+dfsg-2ubuntu2) trusty; urgency=medium

  * Fix compiler warning about an unused local typedef.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Feb 2014 21:34:36 +0100

wxwidgets2.8 (2.8.12.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable (LP: #1253003), remaining changes:
    - Disable bp-menubar-fix.patch.
    - Disable disable_media_python.patch to add wx.media to python-wxgtk2.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Nov 2013 21:11:54 +0400

wxwidgets2.8 (2.8.12.1+dfsg-2) unstable; urgency=high

  * Don't build binary package wx-common as that's now built by wxwidgets3.0.
    Upload with urgency=high as wxwidgets3.0 is already in testing, and the
    only change in this upload is to not build wx-common.  (Closes: #730211)

 -- Olly Betts <olly@survex.com>  Mon, 25 Nov 2013 18:09:23 +1300

wxwidgets2.8 (2.8.12.1+dfsg-1) unstable; urgency=low

  * Re-repack upstream to remove unused embedded copy of editra, which
    contains a base64 encoded exe file without source code. (Closes: #724470)
    + New patch fix-editra-removal.patch to fix up build system for removal of
      editra during repack.
    + debian/copyright: Drop license information for files in editra which we
      now remove in the repack.
    + debian/rules: Update for removal of editra during repack.
    + Just remove the upstream debian directory while repacking, rather than
      carefully renaming it to debian-upstream.
  * debian/copyright: Include licence info for wxPython/wx/lib/pubsub.
  * Use xz compression for source and binary packages.
  * debian/wxPython-tools.1: Make the pointer the pydoc documentation slightly
    more helpful by giving an example pydoc invocation.

 -- Olly Betts <olly@survex.com>  Tue, 24 Sep 2013 18:27:56 +1200

wxwidgets2.8 (2.8.12.1-16) unstable; urgency=low

  * Fix warning when compiling with recent GCC in C++11 mode.
    (Closes: #721184)
  * debian/copyright: Add missing licences for contrib/src/stc/scintilla,
    wxPython/wx/tools/Editra/src/extern/pygments and
    wxPython/contrib/activex/wxie.
  * Actually apply patches to add Tamil and Arabic i18n.
  * debian/build_all: Remove unused script.
  * debian/patches/WX_CONFIG.dpatch: Remove unused, obsolete patch.
  * debian/patches/dont-check-for-pangox.patch: The check for pangox is only
    done if building wxX11, which we don't do, so this patch isn't actually
    necessary, so drop it.
  * New patch wxpython-=-should-be-==.patch which fixes mishandling of the
    bitmap depth in the wxPython wrapper code.

 -- Olly Betts <olly@survex.com>  Thu, 12 Sep 2013 16:59:29 +1200

wxwidgets2.8 (2.8.12.1-15) unstable; urgency=low

  * Fix race condition which could result in mmedia libraries going into more
    than one binary package in a parallel package build.  (Closes: #719250)
  * wx-common now "Recommends: zip".  (Closes: #717857)
  * Add python-libxml2-dbg to "Build-Depends:" to fix FTBFS on HPPA.
    (Closes: #719086)
  * Don't mark -dbg packages as "Multi-Arch: same" - they depend on
    wx2.8-headers, which isn't multi-arch, so they can't be parallel installed.
  * Improve short descriptions of libwxgtk-media* packages.

 -- Olly Betts <olly@survex.com>  Wed, 28 Aug 2013 10:25:35 +1200

wxwidgets2.8 (2.8.12.1-14ubuntu2) trusty; urgency=low

  * disable disable_media_python.patch to add wx.media to python-wxgtk2.8 
    (LP: #1224528)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 18 Oct 2013 20:29:34 +0200
