=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
  python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
+ python-libxml2-dbg,
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
  autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
@@ -57,7 +58,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: debug
 Priority: extra
-Multi-Arch: same
 Depends: wx2.8-headers (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Description: wxBase library (debug) - non-GUI support classes of wxWidgets toolkit
  wxBase is a collection of C++ classes providing basic data structures
@@ -109,7 +109,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: debug
 Priority: extra
-Multi-Arch: same
 Depends: ${shlibs:Depends}, wx2.8-headers (= ${binary:Version}), libwxbase2.8-dbg (= ${binary:Version}), ${misc:Depends}
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
@@ -126,7 +125,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).  For more information see http://wxwidgets.org
@@ -139,9 +138,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: debug
 Priority: extra
-Multi-Arch: same
 Depends: ${shlibs:Depends}, wx2.8-headers (= ${binary:Version}), libwxgtk2.8-dbg (= ${binary:Version}), ${misc:Depends}
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library debug)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -156,7 +154,7 @@
 Section: libdevel
 Depends: wx-common, wx2.8-headers (= ${binary:Version}), libwxgtk-media2.8-0 (= ${binary:Version}), libwxgtk2.8-dev (= ${binary:Version}), ${misc:Depends}
 Suggests: wx2.8-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -227,6 +225,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: zip
 Conflicts: wx2.6-common
 Replaces: wx2.6-common
 Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
@@ -264,5 +263,3 @@
  .
  This package provides the i18n message catalogs for wxWidgets.
 
-Package: wx2.8-doc
-Architecture: all
