## wxwidgets2.8 2.8.12.1+dfsg2

=== debian/changelog ===
wxwidgets2.8 (2.8.12.1+dfsg2-2ubuntu2) wily; urgency=medium

  * Rebuild with the current gcc version (lp: #1486000)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Sep 2015 17:09:11 +0200

wxwidgets2.8 (2.8.12.1+dfsg2-2ubuntu1) utopic; urgency=low

  * Merge with Debian unstable (LP: #1356749), remaining changes:
    - Disable bp-menubar-fix.patch.
    - Disable disable_media_python.patch to add wx.media to python-wxgtk2.8.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Aug 2014 09:46:29 +0200

wxwidgets2.8 (2.8.12.1+dfsg2-2) unstable; urgency=medium

  * Avoid parallelism in debian/rules itself. (Closes: #742657)
  * Stop building binary packages python-wxversion and python-wxtools -
    wxpython3.0 will instead.
  * Fix format string warnings (promoted to errors) in calls to
    PyErr_Format().  New patch: wxpython-missing-format-strings.patch

 -- Olly Betts <olly@survex.com>  Wed, 13 Aug 2014 17:10:46 +1200

wxwidgets2.8 (2.8.12.1+dfsg2-1) unstable; urgency=medium

  * Repack to remove non-free files from wxPython. (Closes: #735225)
  * Change section to "oldlibs" to try to encourage new packages to use
    wx 3.0 instead.
  * Fix warnings building code using wx2.8 with GCC 4.8. (Closes: #740115)
  * "Standards-Version: 3.9.5" - no changes required.
  * debian/watch: Add dversionmangle to account for repacked orig tarball.

 -- Olly Betts <olly@survex.com>  Wed, 26 Mar 2014 15:08:15 +1300
