=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: wxwidgets2.8
-Section: libs
+Section: oldlibs
 Priority: optional
 Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
  python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
@@ -11,7 +11,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
 Uploaders: Ryan Niebur <ryan@debian.org>, Ron Lee <ron@debian.org>, Olly Betts <olly@survex.com>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/freewx/wx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freewx/wx.git
 Homepage: http://www.wxwidgets.org/
@@ -37,7 +37,6 @@
 
 Package: libwxbase2.8-dev
 Architecture: any
-Section: libdevel
 Depends: wx2.8-headers (= ${binary:Version}), libwxbase2.8-0 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: wx2.8-doc, gettext
 Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
@@ -90,7 +89,6 @@
 
 Package: libwxgtk2.8-dev
 Architecture: any
-Section: libdevel
 Depends: wx-common, wx2.8-headers (= ${binary:Version}), libwxgtk2.8-0 (= ${binary:Version}), libwxbase2.8-dev (= ${binary:Version}), ${misc:Depends}
 Suggests: wx2.8-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
@@ -107,7 +105,6 @@
 Package: libwxgtk2.8-dbg
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Section: debug
 Priority: extra
 Depends: ${shlibs:Depends}, wx2.8-headers (= ${binary:Version}), libwxbase2.8-dbg (= ${binary:Version}), ${misc:Depends}
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
@@ -151,7 +148,6 @@
 
 Package: libwxgtk-media2.8-dev
 Architecture: any
-Section: libdevel
 Depends: wx-common, wx2.8-headers (= ${binary:Version}), libwxgtk-media2.8-0 (= ${binary:Version}), libwxgtk2.8-dev (= ${binary:Version}), ${misc:Depends}
 Suggests: wx2.8-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
@@ -239,7 +235,6 @@
 
 Package: wx2.8-headers
 Architecture: any
-Section: devel
 Depends: ${misc:Depends}
 Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
@@ -255,7 +250,6 @@
 Conflicts: wx-i18n
 Replaces: wx-i18n
 Provides: wx-i18n
-Section: localization
 Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -263,3 +257,8 @@
  .
  This package provides the i18n message catalogs for wxWidgets.
 
+Package: wx2.8-doc
+Architecture: all
+Provides: wx-doc
+Depends: ${misc:Depends}
+Suggests: doc-base, www-browser
