=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 #export DH_VERBOSE=1
 
+# Parallelism in debian/rules causes problems:
+# https://bugs.debian.org/742657
+.NOTPARALLEL:
+
 include /usr/share/python/python.mk
 export DH_OPTIONS
 
@@ -54,7 +58,7 @@
 # a separate source package.
 
 DEBIAN_WX_DEFAULT_VERSION = 3.0
-# DEBIAN_WXPYTHON_DEFAULT_VERSION = 3.0
+DEBIAN_WXPYTHON_DEFAULT_VERSION = 3.0
 
 # This will extract a flavour out of the changelog and flavour the
 # packages and binaries with it.  'Official' builds should use a
@@ -218,6 +222,3 @@
 endif
 
 # Build directories:
-objdir_wxbase_shared       = objs_wxbase_sh
-objdir_wxbase_debug        = objs_wxbase_d
-objdir_gtk_shared          = objs_gtk_sh
